WindowsPipeSender Class Reference

Pipe-based implementation of NetworkSender. More...

Inheritance diagram for WindowsPipeSender:

## Public Member Functions

bool | MustWaitForResult ()
void | Send (const byte *buf, size_t bufLen)
unsigned int | GetSendResult ()
bool | MustWaitForEof ()
void | SendEof ()
HANDLE | GetHandle () const
unsigned int | GetMaxWaitObjectCount () const
| Maximum number of wait objects that this object can return. More...
void | GetWaitObjects (WaitObjectContainer &container, CallStack const &callStack)
| Retrieves waitable objects. More...
Public Member Functions inherited from NetworkSender
virtual bool | MustWaitToSend ()
virtual bool | EofSent ()
Public Member Functions inherited from Waitable
bool | Wait (unsigned long milliseconds, CallStack const &callStack)
| Wait on this object. More...

## Detailed Description

Pipe-based implementation of NetworkSender.

Definition at line 85 of file winpipes.h.

## Member Function Documentation

## GetMaxWaitObjectCount()

unsigned int WindowsPipeSender::GetMaxWaitObjectCount | ( |  | ) | const

inline virtual

Maximum number of wait objects that this object can return.

Returns
  the maximum number of wait objects

Implements Waitable.

Definition at line 97 of file winpipes.h.

## GetWaitObjects()

void WindowsPipeSender::GetWaitObjects | ( | WaitObjectContainer & | container,
|  | CallStack const & | callStack
| ) |  |

virtual

Retrieves waitable objects.

Parameters

  container | the wait container to receive the references to the objects.
  callStack | CallStack object used to select waitable objects

GetWaitObjects is usually called in one of two ways. First, it can be called like `something.GetWaitObjects(c, CallStack("my func after X", 0));`. Second, if in an outer GetWaitObjects() method that itself takes a callStack parameter, it can be called like `innerThing.GetWaitObjects(c, CallStack("MyClass::GetWaitObjects at X", &callStack));`.

Implements Waitable.

Definition at line 198 of file winpipes.cpp.

The documentation for this class was generated from the following files:

- winpipes.h
- winpipes.cpp